### Function

# Secret password_free

#### Declaration [src]

    void
    secret_password_free (
      gchar* password
    )

#### Description [src]

Clear the memory used by a password, and then free it.

This function must be used to free nonpageable memory returned by `secret_password_lookup_nonpageable_finish()`, `secret_password_lookup_nonpageable_sync()` or `secret_password_lookupv_nonpageable_sync()`.

This function is not directly available to language bindings

#### Parameters

`password` | `gchar*`
| Password to free.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.